summaryrefslogtreecommitdiff
path: root/CI/imagescheck/icccheckfile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'CI/imagescheck/icccheckfile.sh')
-rwxr-xr-xCI/imagescheck/icccheckfile.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/CI/imagescheck/icccheckfile.sh b/CI/imagescheck/icccheckfile.sh
new file mode 100755
index 0000000..dbdfb23
--- /dev/null
+++ b/CI/imagescheck/icccheckfile.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+identify -verbose $1 | egrep -i "profile|iCCP" >/dev/null
+
+if [ "$?" == 0 ]; then
+ export name="$1"
+ export name=${name##../../client-data/}
+ echo "ICC or iCCP profile found for image $name"
+fi